# Event Indexing

## Events

<mark style="color:green;">`GET`</mark> `/v1/events`

Get a list of historical events that happen on the Clusters application that can be replayed to get the full state.

| Name                         | Description                                   |
| ---------------------------- | --------------------------------------------- |
| `nextPage` *(optional)*      | The next page attribute to retrieve more data |
| `limit` *(optional)*         | How many rows to return.  Defaults to `500`   |
| `from` *(optional)*          | The user who initiated the event              |
| `orderBy` *(optional)*       | `oldest` or `newest` Defaults to `oldest`     |
| `fromTimestamp` *(optional)* | Timestamp in ms to start at                   |

**Note:** If you use the `nextPage` query param, `fromTimestamp` will be ignored.

**Example**

```http
https://api.clusters.xyz/v1/events
```

**Response**

> List of events

{% tabs %}
{% tab title="200" %}

```json
{
  "items": [
    {
      "id": "SqEhcVxrs2",
      "type": "ADD_WALLET",
      "from": "0x6ed7d526b020780f694f3c10dfb25e1b134d3215",
      "data": {
        "name": "main",
        "address": "0x6ed7d526b020780f694f3c10dfb25e1b134d3215",
        "cluster_id": "0x414d66466808501ce4eb380bcc67eddba8b3379363dafb635e5ccc5f90871fb5",
        "is_verified": true,
        "is_backed_up": false
      },
      "isTestnet": false,
      "timestamp": 1706797486000
    },
    {
      "id": "aSBcH9uPdG",
      "type": "REGISTER_NAME",
      "from": "0x822b5a721b4bcf8e627f0dc287c57f187d0b17dc",
      "data": {
        "name": "torje",
        "wei_amount": "10000000000000000"
      },
      "isTestnet": false,
      "timestamp": 1706799767000
    },
    {
      "id": "96HQxn4l5q",
      "type": "REGISTER_NAME",
      "from": "0xd64477d0f5fe7e6b8486a336fe694ef7789ab912",
      "data": {
        "name": "misconix",
        "wei_amount": "10000000000000000"
      },
      "isTestnet": false,
      "timestamp": 1706799779000
    }
  ],
  "nextPage": "1iW2vjkBqM"
}
```

{% endtab %}

{% tab title="500" %}

```json
null
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clusters.xyz/getting-started/api/v1/event-indexing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
